Skip to main content

List Content Objects

GET 

/qlibs/:qlibid/q

List all finalized contents within the given content library.

The following query parameters allow customizing the listing.

Sorting

Sorting Examples

?sort_by=/public/name
&sort_case_sensitive=true
&sort_descending=true

?sort_by=/public/type
&sort_by=/public/name
  • Query param sort_by: metadata path to the value to sort on. Multiple instances allowed. Sorting is performed in lexical order on the first (most recent) version of each content.
  • Query param sort_case_sensitive: enable case-sensitive sorting. Disabled by default.
  • Query param sort_descending: false for ascending sort order, true for descending sort order. Default: false (ascending)

Generic Filtering

Generic Filtering Examples

Examples:
?filter=/public/name::season%201

?filter=/public/name:co:season%201
&filter=/type:eq:episode
  • Query param filter: a metadata path separated with a comparator from the value to match. Multiple instances allowed.

Comparators:

  • ::, :co: contains
  • :nc: not contains
  • :eq: equals
  • :ne: not equals
  • :lt: less than
  • :le: less than or equal
  • :gt: greater than
  • :ge: greater than or equal

Notes:

  • values MUST be percent-encoded.
  • metadata paths SHOULD be percent-encoded as well (even though the URI "query" string specifically allows forward slashes /)

Additional Filtering

Additional Filtering Examples

?filter_by_user=true
&latest_version_only=false
  • Query param filter_by_user: tag without value or bool to suppress contents that are not accessible for the user making the request. Default: true.

  • Query param latest_version_only: tag without value or bool to retrieve only the latest content version per content ID. Default: true.

Selection

Selection Examples

?select=/public

?select=/public/name
&select=/public/description
&select=/public/thumbnail

Query param select: path of metadata subtree to return. If the query parameter is specified multiple times, the results of each expression are merged.

Removal

Removal Examples

?remove=/public/description

?select=/public
&remove=/public/description
&remove=/public/thumbnail

Query param remove: path of metadata subtree to remove from the result. May be specified multiple times.

Paging

Paging Examples

?start=20
&limit=10
  • Query param start: index of the first content object to retrieve. Leave empty to retrieve the first content.
  • Query param limit: integer specifying the number of contents to return. Default: 100.

Request

Responses

The list of contents.